# Obsolete Members for ActionManager

The following members of QML type ActionManager are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- addAction(Action action)`(obsolete)`
- addLocalContext(ActionContext context)`(obsolete)`
- removeAction(Action action)`(obsolete)`
- removeLocalContext(ActionContext context)`(obsolete)`

## Method Documentation

addAction(Action action)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is a shorthand for `ActionManager.globalContext.addAction(action)` call.

addLocalContext(ActionContext context)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Adds the local context.

This is deprecated. ActionContext instances are added autimatically to the action management stystem when declared and removed when destroyed.

removeAction(Action action)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is a shorthand for `ActionManager.globalContext.removeAction(action)` call.

removeLocalContext(ActionContext context)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Removes the local context.

This is deprecated. ActionContext instances are added autimatically to the action management stystem when declared and removed when destroyed.